<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : update-scheduler-server.xml
    Created on : 10 de Noviembre del 2015
    Author     : David FUENTES
    Description: Ventana para la edicion de un servidor existente
-->
<screen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://aweframework.gitlab.io/awe/docs/schemas/screen.xsd" target="SchSrv" template="window" label="MENU_UPDATE_SCHEDULER_TASK" help="HELP_SCREEN_UPDATE_SCHEDULER_TASK">
  <!--
    MESSAGES
  -->
  <tag source="hidden">
    <message id="UpdMsg" title="CONFIRM_TITLE_UPDATE" message="CONFIRM_MESSAGE_UPDATE" />
  </tag>
  <!--
    BUTTONS
  -->
  <tag source="buttons">
    <button label="BUTTON_BACK" icon="arrow-left" id="ButBck" help="HELP_BACK_BUTTON">
      <button-action type="screen" target="scheduler_servers" />
    </button>
    <button label="BUTTON_SCREEN_HELP" icon="question-circle" id="ButHlp" help="HELP_HELP_BUTTON">
      <button-action type="dialog" target="HlpOpt" />
    </button>
    <button label="BUTTON_CONFIRM" icon="edit" id="ButUpd" help="HELP_CONFIRM_BUTTON">
      <button-action type="confirm" target="UpdMsg" />
      <button-action type="server" server-action="maintain" target-action="UpdSchSrv" />
      <button-action type="screen" target="scheduler_servers" />
    </button>
  </tag>
  <!--
    BODY
  -->
  <tag source="center" expandible="vertical">
    <window style="expand" label="SCREEN_TEXT_SERVERS" icon="server">
      <tag type="div" style="panel-body">
        <tag type="div">
          <criteria component="hidden" id="IdeSrv" variable="Ide"/>
          <criteria label="PARAMETER_NAME" component="text" id="Nom" style="col-xs-12 col-sm-6 col-lg-4" validation="required"/>
          <criteria label="PARAMETER_SERVER" component="text" id="Hst" style="col-xs-12 col-sm-6 col-lg-4" validation="required">
            <dependency initial="true" source-type="value" target-type="input" value="localhost">
              <dependency-element id="Pro" condition="eq" value="folder"/>
            </dependency>
            <dependency initial="true" source-type="launcher" target-type="hide">
              <dependency-element id="Pro" condition="eq" value="folder"/>
            </dependency>
          </criteria>
          <criteria label="PARAMETER_SERVER_PORT" component="text" id="Prt" style="col-xs-12 col-sm-4 col-lg-2" validation="required integer">
            <dependency initial="true" source-type="value" target-type="input" value="0">
              <dependency-element id="Pro" condition="eq" value="folder"/>
            </dependency>
            <dependency initial="true" source-type="value" target-type="input" value="21">
              <dependency-element id="Pro" condition="eq" value="ftp"/>
            </dependency>
            <dependency initial="true" source-type="value" target-type="input" value="80">
              <dependency-element id="Pro" condition="eq" value="http"/>
            </dependency>
            <dependency initial="true" source-type="value" target-type="input" value="443">
              <dependency-element id="Pro" condition="eq" value="https"/>
            </dependency>
            <dependency initial="true" source-type="value" target-type="input" value="22">
              <dependency-element id="Pro" condition="eq" value="ssh"/>
            </dependency>
            <dependency initial="true" source-type="launcher" target-type="hide">
              <dependency-element id="Pro" condition="eq" value="folder"/>
            </dependency>
          </criteria>
          <criteria label="PARAMETER_CONN_TYPE" component="select" id="Pro" initial-load="enum" target-action="conType" style="col-xs-12 col-sm-3 col-lg-1" validation="required"/>
          <criteria label="PARAMETER_ACTIVE" component="select"  id="Act" initial-load="enum" target-action="Es1Es0" style="ccol-xs-12 col-sm-3 col-lg-1" validation="required"/>
        </tag>
      </tag>
    </window>
  </tag>
  <!--
    POP-UPs
  -->
  <tag source="modal">
    <include target-screen="screen-help" target-source="center"/>
  </tag>
</screen>